USE [prib]

DECLARE 
  @amount NUMERIC(19,2),
  @amount2 NUMERIC(19,2)
 
SET @amount = 15550000.10
SET @amount2 = 15550000
 
SELECT dbo.Currency_ToWords(@amount)
SELECT dbo.Currency_ToWords(@amount2)

SELECT dbo.Currency_ToWords_prib(@amount)
SELECT dbo.Currency_ToWords_prib(@amount2)


--SELECT dbo.udf_Num_ToWords(@amount)
--SELECT dbo.fnNumberToWords(@amount)
